List

  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /executions

Returns list of executions for the specified pipeline

Request

REQUIRED SCOPES
EXECUTION_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

GET PARAMETERS
pageinteger
The number of the successive pages (results are split into pages of per_page elements each).

Example: 1

per_pageinteger
Specifies the number of returned elements on the page. The default value is 20.

Example: 20

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
pageinteger
The current page number
page_sizeinteger
The number of elements per page
total_page_countinteger
The total number of pages
element_countinteger
The number of elements on the current page
total_element_countinteger
The total number of elements across all pages
executionsShortExecutionView[]

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/executions" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/2/executions", "html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/2/executions", "page": 1, "page_size": 20, "total_page_count": 1, "element_count": 2, "total_element_count": 2, "executions": [ { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/2/executions/2", "html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/2/execution/68e60c55592ab1f894ecace6", "id": 2, "start_date": "2025-10-08T07:01:42.029Z", "finish_date": "2025-10-08T07:01:45.886Z", "triggered_on": "EVENT", "priority": "NORMAL", "refresh": true, "clear_cache": true, "status": "SUCCESSFUL", "comment": "test", "branch": { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/branches/dev-issue1", "html_url": "https://app.buddy.works/my-workspace/my-project/repository/branch/dev-issue1", "name": "dev-issue1", "default": false }, "to_revision": { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/commits/90d11b5b54108fa57b30ae286322b99b26d46ccb", "html_url": "https://app.buddy.works/my-workspace/my-project/repository/commit/90d11b5b54108fa57b30ae286322b99b26d46ccb", "revision": "90d11b5b54108fa57b30ae286322b99b26d46ccb", "author_date": "2025-10-08T06:22:11Z", "commit_date": "2025-10-08T06:22:11Z", "message": "Added sad", "committer": { "url": "https://api.buddy.works/workspaces/my-workspace/members/1", "html_url": "https://app.buddy.works/my-workspace/-/profile/1", "id": 1, "name": "Mike", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png?ts=1759904496204", "email": "mike@company.com", "admin": true, "workspace_owner": true }, "author": { "url": "https://api.buddy.works/workspaces/my-workspace/members/1", "html_url": "https://app.buddy.works/my-workspace/-/profile/1", "id": 1, "name": "Mike", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png?ts=1759904496204", "email": "mike@company.com", "admin": true, "workspace_owner": true } }, "creator": { "url": "https://api.buddy.works/workspaces/my-workspace/members/1", "html_url": "https://app.buddy.works/my-workspace/-/profile/1", "id": 1, "name": "Mike", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png?ts=1759904496204", "email": "mike@company.com", "admin": true, "workspace_owner": true }, "environment": { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/environments/nZrnl40Y", "html_url": "https://app.buddy.works/my-workspace/my-project/environments/environment/nZrnl40Y", "name": "staging", "identifier": "my-staging", "id": "nZrnl40Y", "scope": "PROJECT" }, "package": { "url": "https://api.buddy.works/workspaces/my-workspace/packages/x5169jL2", "html_url": "https://app.buddy.works/my-workspace/-/packages/x5169jL2/versions", "id": "x5169jL2", "type": "CONTAINER", "name": "My Application Package", "identifier": "my-app-package", "scope": "WORKSPACE", "size": 1048576000 }, "package_version": { "url": "https://api.buddy.works/workspaces/my-workspace/packages/x5169jL2/versions/0YgEzRGv", "html_url": "https://app.buddy.works/my-workspace/-/packages/x5169jL2/versions/0YgEzRGv", "version_url": "https://latest-my-package.files-pkg-1.registry.sh/", "id": "0YgEzRGv", "version": "latest", "size": 1048576, "created_date": "2024-01-20T10:30:00Z" } }, { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/pipelines/2/executions/1", "html_url": "https://app.buddy.works/my-workspace/my-project/pipelines/pipeline/2/execution/68e60c20592ab1f894ecacd4", "id": 1, "start_date": "2025-10-08T07:00:48.912Z", "finish_date": "2025-10-08T07:00:54.148Z", "triggered_on": "CLICK", "priority": "NORMAL", "refresh": true, "clear_cache": true, "status": "SUCCESSFUL", "comment": "test", "branch": { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/branches/master", "html_url": "https://app.buddy.works/my-workspace/my-project/repository/branch/master", "name": "master", "default": true }, "to_revision": { "url": "https://api.buddy.works/workspaces/my-workspace/projects/my-project/repository/commits/90d11b5b54108fa57b30ae286322b99b26d46ccb", "html_url": "https://app.buddy.works/my-workspace/my-project/repository/commit/90d11b5b54108fa57b30ae286322b99b26d46ccb", "revision": "90d11b5b54108fa57b30ae286322b99b26d46ccb", "author_date": "2025-10-08T06:22:11Z", "commit_date": "2025-10-08T06:22:11Z", "message": "Added sad", "committer": { "url": "https://api.buddy.works/workspaces/my-workspace/members/1", "html_url": "https://app.buddy.works/my-workspace/-/profile/1", "id": 1, "name": "Mike", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png?ts=1759904496204", "email": "mike@company.com", "admin": true, "workspace_owner": true }, "author": { "url": "https://api.buddy.works/workspaces/my-workspace/members/1", "html_url": "https://app.buddy.works/my-workspace/-/profile/1", "id": 1, "name": "Mike", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png?ts=1759904496204", "email": "mike@company.com", "admin": true, "workspace_owner": true } }, "creator": { "url": "https://api.buddy.works/workspaces/my-workspace/members/1", "html_url": "https://app.buddy.works/my-workspace/-/profile/1", "id": 1, "name": "Mike", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png?ts=1759904496204", "email": "mike@company.com", "admin": true, "workspace_owner": true } } ] }
STATUS
200 OK